Get Run Events
Get conversation events for a specific TaskAgentRun.
Returns the full conversation history from the ADK session including:
- User messages
- Agent responses
- Tool calls and results
- Metadata-only memory compaction events, including token-threshold metadata when
token-aware compaction was active
- Error messages (if any)
Events are returned in chronological order.
Authentication
AuthorizationBearer
Bearer token authentication using JWT tokens from Ory Kratos/Hydra
Path parameters
org_id
The unique identifier of the organization.
project_id
The unique identifier of the project.
task_agent_id
The specific Task Agent to reference.
run_id
The specific Run to reference.
Query parameters
include_history
Include full session history, not just this run's events
Response
Run events
run_id
ID of the TaskAgentRun.
session_id
ADK session ID.
events
Conversation events from the session.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error
